Bug 1677773 - hammer erratum list fails for host
Summary: hammer erratum list fails for host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API - Content
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 20:31 UTC by Ranjan Kumar
Modified: 2019-11-05 22:45 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.25-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:23 UTC
Foreman Issue Tracker 26061 None None None 2019-03-04 14:42:22 UTC

Description Ranjan Kumar 2019-02-15 20:31:55 UTC
Description of problem:
[root@satellite ~]# hammer erratum list --host-id 27
wrong number of arguments (given 1, expected 0)


Version-Release number of selected component (if applicable): 6.5.0


How reproducible: Always

Comment 3 Justin Sherrill 2019-03-04 14:42:22 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26061 from this bug

Comment 5 Jitendra Yejare 2019-03-18 12:58:37 UTC
Verified!

@ Satellite 6.5.0 snap 20

Steps:
------------

# hammer erratum list --host-id 13

# hammer erratum list --host dell-120-2d.dom.com

Observation:
----------------

As Expected, no argument Error:

---|-----------|------|------
ID | ERRATA ID | TYPE | TITLE
---|-----------|------|------

Verified !

Comment 8 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.